SDL_GPUTransferBufferUsage(3type)

NAME
SDL_GPUTransferBufferUsage - Specifies how a transfer buffer is intended to be used by the client.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef enum SDL_GPUTransferBufferUsage
{
    SDL_GPU_TRANSFERBUFFERUSAGE_UPLOAD,
    SDL_GPU_TRANSFERBUFFERUSAGE_DOWNLOAD
} SDL_GPUTransferBufferUsage;

DESCRIPTION
Note that mapping and copying FROM an upload transfer buffer or TO a download transfer buffer is undefined behavior.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUTransferBuffer(3)